www.cendio.com
Bug 5148 - wrong mouse cursor with Internet Explorer
: wrong mouse cursor with Internet Explorer
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-05-15 15:29 by
Modified: 2015-04-30 12:40 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-05-15 15:29:39
Client side mouse cursor isn't working properly with Internet Explorer. I'm
getting a server rendered cursor, plus a standard arrow pointer on the client
side.

Tested on Windows 8 with IE 11.
------- Comment #1 From cendio 2015-01-14 19:28:01 -------
I have found that the problem seems related to Data URI support. See:

https://developer.mozilla.org/en-US/docs/Web/HTTP/data_URIs#Support_in_other_browsers
------- Comment #2 From cendio 2015-01-15 16:30:13 -------
We should fall back on a server-sider cursor where the local cursor doesn't
work, like in IE.
------- Comment #3 From cendio 2015-01-15 16:37:18 -------
Committed upstream:
https://github.com/kanaka/noVNC/commit/b804b3e45810b54bd8f93c7df73598a1b19a19b7

Fixed in vendordrop 29804.
------- Comment #4 From cendio 2015-04-28 14:48:32 -------
Still broken. Behaves just as the original report.
------- Comment #5 From cendio 2015-04-29 15:03:37 -------
(In reply to comment #4)
> Still broken. Behaves just as the original report.

It was actually fixed for a while, but the functionality was broken again by
changes upstream which were brought to ThinLinc in r30230.

I have fixed the issue upstream, fix brought to ThinLinc by vendordrop in
r30278.
------- Comment #6 From cendio 2015-04-30 12:40:42 -------
Works well now.